apiVersion: tawon.mantisnet.com/v1alpha1
kind: Directive
metadata:
  name: payload-coredns
spec:
  condition:
    equal:
      field: process.name
      value: coredns
  tasks:
    - task: capture
      config:
        filter: port 53
    - task: dns
    - task: publish
      config:
        topic: coredns
  debug:
    logLevel: trace
